<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Teilnehmer;

class DozTeilnehmerController extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Teilnehmer\TeilnehmerController
{
  private $statusMessage;

  public function __construct($pStatusMessage = null)
  {
    $this->statusMessage = $pStatusMessage;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DozTeilnehmerPresenter($pUseCaseResponse);
  }

  protected function getRequestObj()
  {
    $requestObj = new DozTeilnehmerRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->statusMessage = $this->statusMessage;

    return $requestObj;
  }

  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DozTeilnehmerUseCase(
      $this->getRequestObj()
    );
  }
}